/* eslint-disable no-param-reassign */
/* eslint-disable no-underscore-dangle */
/**
 * 检测是否存在 plugins 目录 ，否则并初始化 plugins/index
 * @param {*} api
 */
module.exports = (api) => {
  const isTs = api.hasPlugin('typescript');
  const isPluginExist = api.generator.files[`src/plugins/index.${isTs ? 'ts' : 'js'}`];

  api.generator.___initRecord = api.generator.___initRecord || {};
  if (api.generator.___initRecord.mainInit) {
    return;
  }

  api.generator.___initRecord.mainInit = true;

  if (!isPluginExist) {
    if (isTs) {
      api.render('../generator/template-main/ts', {});
    } else {
      api.render('../generator/template-main/js', {});
    }
  }
};
