/* eslint-disable no-param-reassign */
/* eslint-disable no-underscore-dangle */
const mainImportInit = require('./mainImportInit');

/**
 * 检测是否存在 plugins 目录 ，否则并初始化 plugins/index
 * @param {*} api
 */
module.exports = (api) => {
  const isTs = api.hasPlugin('typescript');
  const isPluginExist = api.generator.files[`src/plugins/index.${isTs ? 'ts' : 'js'}`];

  api.generator.___initRecord = api.generator.___initRecord || {};
  if (api.generator.___initRecord.pluginInit) {
    return;
  }

  api.generator.___initRecord.pluginInit = true;

  if (!isPluginExist) {
    mainImportInit(api, './plugins', 'pluginInstall', [], 'pluginInstall');
    if (isTs) {
      api.render('../generator/template-plugin/ts', {});
    } else {
      api.render('../generator/template-plugin/js', {});
    }
  }
};
